/**QUERY 1: Query to determine if ENT, EGT, or Scientific Name records need to be requested of Central Science before bulk creating EST records:**/
Select 
sn.scientific_name,
sn.scientific_name_id, 
egt.element_global_id,
ent.element_national_id,
'gname' match_on,
sn.scientific_name gName
From 
scientific_name sn, 
element_global egt, 
element_national ent,
nation
Where 
nation.ussd_short_name = 'United States'
and ent.nation_id = nation.nation_id 
and egt.element_global_id = ent.element_global_id
and egt.gname_id = sn.scientific_name_id
and egt.inactive_ind = 'N'
and sn.scientific_name in (list of scientific names)
UNION
Select 
sn.scientific_name,
sn.scientific_name_id, 
egt.element_global_id,
ent.element_national_id,
'synname' match_on,
gname.scientific_name gname
From 
scientific_name sn, 
scientific_name gname, 
element_global egt, 
synonym_global,
element_national ent,
nation
Where 
nation.ussd_short_name = 'United States'
and ent.nation_id = nation.nation_id 
and egt.element_global_id = ent.element_global_id
and egt.element_global_id = synonym_global.element_global_id
and synonym_global.scientific_name_id = sn.scientific_name_id
and egt.gname_id = gname.scientific_name_id
and egt.inactive_ind = 'N'
and sn.scientific_name in (list of scientific names)
