/**QUERY 3: Obtain data necessary to create ESTs, via bulk SQL statements, for elements saved to working list in QUERY 2***/

SELECT 
egt.element_global_id egt_id,
ent.element_national_id ent_id,
sn.scientific_name_id gname_id,

(SELECT TAXON_NATIONAL.HYBRID_IND   
 FROM TAXON_NATIONAL  
WHERE TAXON_NATIONAL.ELEMENT_NATIONAL_ID
 =  ent.element_national_id ) AS n_hyb_wout_consvalue,

(SELECT d_maintained_by_status.d_maintained_by_status_id FROM d_maintained_by_status 
WHERE ent.d_maintained_by_status_id = d_maintained_by_status.d_maintained_by_status_id )  ent_mt_id,
ent.distribution_reference_id, 

DelimList('SELECT ''ORG: '' || d_origin.d_origin_id || 
'';  REG: '' || d_reg.d_regularity_id || 
'';  CNF: '' || d_conf.d_dist_confidence_id || 
'';  PRS: '' || d_pres.d_curr_presence_absence_id || 
(case when n_dist.d_population_id is not null then 
'';  POP: '' || d_pop.d_population_id else null end) || '''' 
FROM taxon_natl_dist n_dist, d_curr_presence_absence d_pres, d_population d_pop, 
d_dist_confidence d_conf, d_origin, d_regularity d_reg ' || ' 
WHERE n_dist.d_curr_presence_absence_id = d_pres.d_curr_presence_absence_id 
and n_dist.d_dist_confidence_id = d_conf.d_dist_confidence_id 
and n_dist.d_origin_id = d_origin.d_origin_id 
and n_dist.d_regularity_id = d_reg.d_regularity_id 
and n_dist.d_population_id = d_pop.d_population_id (+) 
and n_dist.element_national_id = ' || ent.element_national_id || 'ORDER BY n_dist.d_origin_id', '; ') AS natl_distrib_grid_ids,

sn.scientific_name gname,

(SELECT d_maintained_by_status.display_value FROM d_maintained_by_status 
WHERE ent.d_maintained_by_status_id = d_maintained_by_status.d_maintained_by_status_id )  ent_mt,

(reference.reference_code || ' ' || reference.full_citation) distrib_ref,

DelimList('SELECT ''ORG: '' || substr(d_origin.origin_desc,1,3) || 
'';  REG: '' || substr(d_reg.regularity_desc,1,3) || 
'';  CNF: '' || substr(d_conf.display_value,1,2) || 
'';  PRS: '' || substr(d_pres.curr_presence_absence_desc,1,3) || 
 (case when n_dist.d_population_id is not null then 
'';  POP: '' || substr(d_pop.population_desc,1,6) else null end) || '''' 
FROM taxon_natl_dist n_dist, d_curr_presence_absence d_pres, 
d_dist_confidence d_conf, d_origin, d_population d_pop, d_regularity d_reg ' || ' 
WHERE n_dist.d_curr_presence_absence_id = d_pres.d_curr_presence_absence_id 
and n_dist.d_dist_confidence_id = d_conf.d_dist_confidence_id 
and n_dist.d_origin_id = d_origin.d_origin_id 
and n_dist.d_population_id = d_pop.d_population_id (+) 
and n_dist.d_regularity_id = d_reg.d_regularity_id 
and n_dist.element_national_id = ' || ent.element_national_id || 'ORDER BY n_dist.d_origin_id', '; ') AS natl_distrib_grid,

ent.nation_id,
nation.iso_nation_cd natn,
ent.n_rank,

(select d_classification_status.classification_status_desc
from d_classification_status
where egt.d_classification_status_id = d_classification_status.d_classification_status_id) classif,
egt.elcode_bcd
FROM
element_global egt,
element_national ent,
scientific_name sn,
reference,
nation,
working_list_element_data wl

WHERE
egt.element_global_id = ent.element_global_id 
and egt.gname_id = sn.scientific_name_id 
and ent.nation_id = nation.nation_id 
and nation.ussd_short_name = 'United States'
and ent.distribution_reference_id = reference.reference_id (+)
and wl.working_list_id=1878
and wl.data_id =ent.element_national_id


ORDER BY
sn.scientific_name,
nation.iso_nation_cd
